package pl.oneapp.gbk.bean;

import java.io.Serializable;
import java.util.concurrent.atomic.AtomicLong;
import java.util.logging.Logger;

import javax.annotation.PostConstruct;
import javax.enterprise.context.Conversation;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.inject.Inject;

/**
 * Czas życia -- sesja użytkownika, dana przeglądrka (Uwaga: ta sama sesja między tabami!).
 */

@ManagedBean
@SessionScoped
public class ResultSessionBean implements Serializable {

    private static final long serialVersionUID = -3343918304350124983L;

    private static final Logger logger = Logger.getLogger(ResultSessionBean.class.toString());

    private AtomicLong multiplication;

    @Inject
    private Conversation conversation;

    public ResultSessionBean() {

    }

    public synchronized void update() {
    }

    public synchronized long getMultiplication() {

        if (conversation.isTransient()) {
            conversation.begin();
        }
        return multiplication.get();
    }

    public synchronized void setMultiplication(long multiplication) {
        this.multiplication.set(multiplication);
    }

    @PostConstruct
    public void init() {
        multiplication = new AtomicLong();

    }

}
